Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt
Class Component.BltBufferStrategy

    java.lang.Object
      java.awt.image.BufferStrategy
          java.awt.Component.BltBufferStrategy

Enclosing class:
  Component

    protected class Component.BltBufferStrategy

extends BufferStrategy

Inner class for blitting offscreen surfaces to a component.

Since:
  1.4

Field Summary
`protected VolatileImage[]` | `backBuffers` The back buffers
`protected BufferCapabilities` | `caps` The buffering capabilities
`protected int` | `height`
`protected boolean` | `validatedContents` Whether or not the drawing buffer has been recently restored from a lost state.
`protected int` | `width` Size of the back buffers

Constructor Summary
`protected` | `Component.BltBufferStrategy(int numBuffers, BufferCapabilities caps)` Creates a new blt buffer strategy around a component

Method Summary
`boolean` | `contentsLost()` Returns whether the drawing buffer was lost since the last call to `getDrawGraphics`.
`boolean` | `contentsRestored()` Returns whether the drawing buffer was recently restored from a lost state and reinitialized to the default background color (white).
`protected void` | `createBackBuffers(int numBuffers)` Creates the back buffers
`BufferCapabilities` | `getCapabilities()`
`Graphics` | `getDrawGraphics()`
`protected void` | `revalidate()` Restore the drawing buffer if it has been lost
`void` | `show()` Makes the next available buffer visible.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### caps

    protected BufferCapabilities caps

  The buffering capabilities

### backBuffers

    protected VolatileImage[] backBuffers

  The back buffers

### validatedContents

    protected boolean validatedContents

  Whether or not the drawing buffer has been recently restored from a lost state.

### width

    protected int width

  Size of the back buffers

### height

    protected int height

Constructor Detail

### Component.BltBufferStrategy

    protected Component.BltBufferStrategy(int numBuffers,
                                          BufferCapabilities caps)

  Creates a new blt buffer strategy around a component

  Parameters:
    `numBuffers` - the component to use as the front buffer
    `caps` - the capabilities of the buffers

Method Detail

### createBackBuffers

    protected void createBackBuffers(int numBuffers)

  Creates the back buffers

### getCapabilities

    public BufferCapabilities getCapabilities()

  Specified by:
    `getCapabilities` in class `BufferStrategy`
  Returns:
    the buffering capabilities of this strategy

### getDrawGraphics

    public Graphics getDrawGraphics()

  Specified by:
    `getDrawGraphics` in class `BufferStrategy`
  Returns:
    the draw graphics

### show

    public void show()

  Makes the next available buffer visible.

  Specified by:
    `show` in class `BufferStrategy`

### revalidate

    protected void revalidate()

  Restore the drawing buffer if it has been lost

### contentsLost

    public boolean contentsLost()

  Description copied from class: `BufferStrategy`
  Returns whether the drawing buffer was lost since the last call to `getDrawGraphics`. Since the buffers in a buffer strategy are usually type `VolatileImage`, they may become lost. For a discussion on lost buffers, see `VolatileImage`.

  Specified by:
    `contentsLost` in class `BufferStrategy`
  Returns:
    whether the drawing buffer was lost since the last call to `getDrawGraphics`
  See Also:
    `VolatileImage`

### contentsRestored

    public boolean contentsRestored()

  Description copied from class: `BufferStrategy`
  Returns whether the drawing buffer was recently restored from a lost state and reinitialized to the default background color (white). Since the buffers in a buffer strategy are usually type `VolatileImage`, they may become lost. If a surface has been recently restored from a lost state since the last call to `getDrawGraphics`, it may require repainting. For a discussion on lost buffers, see `VolatileImage`.

  Specified by:
    `contentsRestored` in class `BufferStrategy`
  Returns:
    whether the drawing buffer was recently restored from a lost state and reinitialized to the default background color (white)
  See Also:
    `VolatileImage`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.